Page MenuHomePhabricator

Review Esperanto Morphological Libraries
Closed, ResolvedPublic

Description

Esperanto is a bit further down the list of the remaining top 50 languages to look at (T171652), but it jumped to the top because I had a developer ask me to recommend a project to work on, and I suggested an Esperanto stemmer. As a constructed language, Esperanto is very regular and well documented, so the barrier to implementing a stemmer is much lower for a non-speaker.

It's now available on GitHub; it's in Java and has a GPL3[†] license, so all of the technical details are in good shape. The next step is to get a review of the stemming quality from speakers.

__ __
[†] It was initially Apache 2.0, but the structure was heavily based on the Serbian stemmer, which is GPL3, so that seems more appropriate.

Event Timeline

TJones triaged this task as Normal priority.Jun 14 2018, 2:11 PM
TJones created this task.
TJones updated the task description. (Show Details)Jun 14 2018, 3:14 PM
TJones updated the task description. (Show Details)Jun 18 2018, 4:25 PM
Restricted Application added a subscriber: Petar.petkovic. · View Herald TranscriptJun 18 2018, 4:25 PM

Back to "In Progress" because I'm doing more active work on it after some feedback.

Vvjjkkii renamed this task from Review Esperanto Morphological Libraries to f0aaaaaaaa.Jul 1 2018, 1:04 AM
Vvjjkkii removed TJones as the assignee of this task.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
dcausse renamed this task from f0aaaaaaaa to https://phabricator.wikimedia.org/T197240.Jul 2 2018, 9:38 AM
dcausse renamed this task from https://phabricator.wikimedia.org/T197240 to Review Esperanto Morphological Libraries.
dcausse assigned this task to TJones.
dcausse lowered the priority of this task from High to Normal.
dcausse updated the task description. (Show Details)
dcausse added a subscriber: Aklapper.
TJones added a subscriber: dcausse.Jul 2 2018, 2:36 PM

Thanks for cleaning up, @dcausse!

Waiting for feedback from speakers.

debt closed this task as Resolved.Jul 31 2018, 5:42 PM